"""
Edward the turtle starts at a point A on a circle.
He goes on a tour of chords from A to B to C and along the radius from C to O and back to A.
The tour takes him a certain amount of time.
He then tours the circumference of the circle, at exactly the same speed, passing through A, B, C and back to A.
Is the time shorter or longer on the circle tour? Justify. <br>

Pseudo-Code
#Initialise the simulation environment
Import the turtle modules and Create a canvas
Define 2 instances of turtles and give them distinguishing properties
Set each turtle position to A
Set radius to a value
Create a list of 4 coordinates [B, C, O, A]
#The circle journey and the chord-radii journey
Start the clock
	Journey around the circle
Stop the clock and record time on canvas
Start the clock
	Travel from A – B – C – O  - A
Stop the Clock and record time on canvas

"""

import time
from turtle import *



win = Screen()
win.screensize(800,800,"blue")

#On first reading, ignore the scale Factor. Just go with a radius of 100.
#The coords (60,80) or (-60,-80) etc are then very useful.
#The scale factor allows circles of different radii to be drawn.
radius = 200
scaleF = radius/100

delia = Turtle(); arthur = Turtle()
delia.penup()
delia.setpos(100*scaleF,0); delia.setheading(90); delia.pendown()
delia.circle(100*scaleF)

# set up both turtles colours and positions

delia.shape("turtle"); delia.speed(1); delia.color("green"); delia.penup(); delia.setpos(100*scaleF,0); delia.setheading(90)
arthur.shape("turtle"); arthur.speed(1); arthur.color("red"); arthur.penup(); arthur.setpos(100*scaleF,0)


coordList = [(-60*scaleF,80*scaleF), (-80*scaleF,-60*scaleF), (0,0), (100*scaleF,0*scaleF)]
delia.pendown(); arthur.pendown()

#Now the simulated journeys ... beware of the limitations of turlte graphics around speed and simultaneously moving turtles
startTime = time.clock()    
delia.circle(radius)
endTime = time.clock()
timeStr = format(endTime - startTime, '.1f') + "s"
delia.write(timeStr, align="right", font = ("Arial", 15, "normal"))

win.textinput("Now for Arthur", "CLICK ME")

startTime = time.clock()
for coord in range(len(coordList)) :
        arthur.setpos(coordList[coord])
endTime = time.clock()
timeStr = "  " + format(endTime - startTime, '.1f') + "s"
arthur.write(timeStr, align = "left", font = ("Arial", 15, "normal"))


win.exitonclick()


       

